Bug 1272169 - Ext-Auth Login with email address error "User not known to the underlying authentication module"
Ext-Auth Login with email address error "User not known to the underlying aut...
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
All Linux
high Severity high
: GA
: cfme-future
Assigned To: abellott
Matt Pusateri
Depends On:
Blocks: 1290190 1379420 1472351
  Show dependency treegraph
Reported: 2015-10-15 11:44 EDT by Josh Carter
Modified: 2017-07-18 10:18 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1290190 (view as bug list)
Last Closed: 2017-07-17 14:09:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 8 Dave Johnson 2016-12-06 14:33:28 EST
Amogh, can you retest this for 5.6/5.7 and make sure we have test case(s) in place please.
Comment 9 Dave Johnson 2017-02-09 17:37:25 EST
Matt, please take over this needinfo on comment 8, Thx
Comment 10 Matt Pusateri 2017-02-13 17:58:58 EST

Is this how both users appear in IPA?

Username: John.Smith@CBTSWEB.COM
E-mail: jsmith@somecompany.com

Username: Bill.jones@CBTSWEB.COM
E-mail: billjones@someothercompany.org

Matt P.
Comment 18 Matt Pusateri 2017-03-13 15:53:51 EDT
So in looking at the user records, neither user has a mail attribute. So when trying to authenticate via LDAP, it can't find the requested email attribute for the user, so it fails appropriately. 

In order for them to use email addresses as logins, each user would need a mail attribute added to their LDAP record.
Comment 23 Joe Vlcek 2017-03-21 14:34:17 EDT
Please see comments 6 and 7, which indicate this functionality is not
yet supported.

R&D will have to verify when the IPA change is rolled out.
Comment 24 Tim Wade 2017-03-27 14:48:13 EDT
*** Bug 1424618 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.